%define name jfsprogs
%define rname jfsutils
%define version 1.0.5
%define release 1mdk
%define url http://oss.software.ibm.com/developerworks/opensource/jfs/
%define url_download  http://www10.software.ibm.com/developer/opensource/jfs/project/pub/

Summary: IBM JFS utility programs
Name: %{name}
Version: %{version}
Release: %{release}
Url: %{url}
Source0: %{url_download}/%{rname}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch: jfsutils-optflags.patch.bz2

%description
IBM's journaled file system technology, currently used in IBM
enterprise servers, is designed for high-throughput
server environments, key to running intranet and other
high-performance e-business file servers. IBM is
contributing this technology to the Linux open source
community with the hope that some or all of it will be
useful in bringing the best of journaling capabilities to
the Linux operating system.

%prep
%setup -q -n %{rname}
%patch -p1

%build
%make DEBUG= RPM_OPT_FLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
cp -p output/* $RPM_BUILD_ROOT/sbin
cp -p ./*/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- Use optflags.
- 1.0.3.

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First version.

# end of file
